apklis_api 0.1.0
apklis_api: ^0.1.0 copied to clipboard

discontinued

API for Apklis (Cuban Android App Store) implemented in Dart

example/example.dart

import 'dart:convert';
import 'dart:io';

import 'package:apklis_api/apklis_api.dart';

void main() async {
  print('Introduce package name:');
  var packageName1 = stdin.readLineSync(encoding: Encoding.getByName('utf-8'));
  var packageName2 = stdin.readLineSync(encoding: Encoding.getByName('utf-8'));
  var apklisApi = ApklisApi();
  var model = await apklisApi.get([packageName1, packageName2]);
  if (model.isOk) {
    print(model.result.results.map((e) => e.name).join('\n'));
  } else {
    print(model.error);
  }
}
5
likes
0
pub points
28%
popularity

Suggested replacement

apklis_web_api

API for Apklis (Cuban Android App Store) implemented in Dart

Homepage

Documentation

API reference

License

unknown (LICENSE)

Dependencies

dio, flutter, http, json_annotation

More

Packages that depend on apklis_api